For example Ethernet and Token-Ring LANs are of type broadcast
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.81.31.1.2.1.4
The logical type of the interface. The default depends on the physical type. For example Ethernet and Token-Ring LANs are of type broadcast
Identification
{1 3 6 1 4 1 81 31 1 2 1 4}
Definitions may combine these properties differently.
Numbers refer to source variants above. Each value is shown only for variants that define it. Notes below names come from selected MIB definitions.
| Value | Name and source notes | Source variants |
|---|---|---|
| 1 | broadcast | 1, 2 |
| 2 | nBMA | 1, 2 |
| 3 | ptp | 2 |
| 4 | ptp old value 3 | 1 |
| 8 | loopback new value | 1 |
| 16 | tunnel new value | 1 |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In CROUTE-MIB, the row index ipInterfaceAddr is declared as IpAddress. The IPv4 address is encoded as four numeric subidentifiers, one for each address octet. For example, a row with address 192.0.2.10 has the instance .1.3.6.1.4.1.81.31.1.2.1.4.192.0.2.10. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.81.31.1.2.1.4
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
ipInterfaceType OBJECT-TYPE
SYNTAX INTEGER
{
broadcast(1),
nBMA(2),
ptp(4), -- old value 3
loopback(8), -- new value
tunnel(16) -- new value
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"The logical type of the interface.
The default depends on the physical
type. For example Ethernet and
Token-Ring LANs are of type broadcast"
DEFVAL { broadcast }
::= { ipInterfaceEntry 4 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: ipInterfaceType
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"ipInterfaceType",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"broadcast",
"(",
"1",
")",
",",
"nBMA",
"(",
"2",
")",
",",
"ptp",
"(",
"4",
")",
",",
"loopback",
"(",
"8",
")",
",",
"tunnel",
"(",
"16",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The logical type of the interface. The default depends on the physical type. For example Ethernet and Token-Ring LANs are of type broadcast\"",
"DEFVAL",
"{",
"broadcast",
"}",
"::=",
"{",
"ipInterfaceEntry",
"4",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"broadcast",
1
],
[
"nBMA",
2
],
[
"ptp",
4
],
[
"loopback",
8
],
[
"tunnel",
16
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The logical type of the interface. The default depends on the physical type. For example Ethernet and Token-Ring LANs are of type broadcast"
],
null,
null,
null,
[
"DEFVAL",
"broadcast"
]
]
}Vendor MIB copy from the Observium Community archive.
Module: CROUTE-MIB
See published definition above
{'GEN-MIB': ['lannet'], 'OSPF-MIB': ['AreaID', 'Status', 'DesignatedRouterPriority', 'UpToMaxAge', 'HelloRange', 'PositiveInteger', 'TOSType', 'Metric'], 'RFC-1212': ['OBJECT-TYPE'], 'RMON-MIB': ['OwnerString'], 'RIPv2-MIB': ['RouteTag'], 'SNMPv2-TC': ['TruthValue'], 'SNMPv2-SMI': ['Integer32', 'Counter32', 'Unsigned32'], 'RFC1155-SMI': ['IpAddress'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Historical records
ipInterfaceType OBJECT-TYPE
SYNTAX INTEGER {
broadcast (1),
nBMA (2),
ptp (3)
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"The logical type of the interface. The default depends on the physical type.
For example Ethernet and Token-Ring LANs are of type broadcast"
DEFVAL { broadcast }
::= { ipInterfaceEntry 4 }
ipInterfaceType OBJECT-TYPE
SYNTAX INTEGER {
broadcast (1),
nBMA (2),
ptp (3)
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"The logical type of the interface. The default depends on the physical type.
For example Ethernet and Token-Ring LANs are of type broadcast"
DEFVAL { broadcast }
::= { ipInterfaceEntry 4 }
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.81.31.1.2.1.1 | ipInterfaceAddr | 0 | 0 | The IP address to which this entry's addressing information pertains. |
| 1.3.6.1.4.1.81.31.1.2.1.2 | ipInterfaceNetMask | 0 | 0 | The subnet mask associated with the IP address of this entry. The value of the mask is an IP address with all the network bits se… |
| 1.3.6.1.4.1.81.31.1.2.1.3 | ipInterfaceLowerIfAlias | 0 | 0 | This object is an 'alias' name for the lower-layer interface on top of which this IP interface is defined. The alias is specifie… |
| 1.3.6.1.4.1.81.31.1.2.1.5 | ipInterfaceForwardIpBroadcast | 0 | 0 | Whether the router forwards IP directed broadcasts that are to be transmitted as link-layer broadcast to an attached net or subn… |
| 1.3.6.1.4.1.81.31.1.2.1.6 | ipInterfaceBroadcastAddr | 0 | 0 | The value of the least-significant bit in the IP broadcast address used for sending datagrams on the (logical) interface associa… |
| 1.3.6.1.4.1.81.31.1.2.1.7 | ipInterfaceProxyArp | 0 | 0 | When proxy ARP is enabled, the router responds to ARP requests received on one link-layer interface for an IP-address that is rea… |
| 1.3.6.1.4.1.81.31.1.2.1.8 | ipInterfaceStatus | 0 | 0 | For adding and deleting IP interfaces. Deleting this row means deleting the corresponding entry in IpAddrTable (MIB II). Deletin… |
| 1.3.6.1.4.1.81.31.1.2.1.9 | ipInterfaceMainRouterAddr | 0 | 0 | The IP address of the main router backed up on this interface. |
| 1.3.6.1.4.1.81.31.1.2.1.10 | ipInterfaceARPServerStatus | 0 | 0 | Whenever to activate the ARP Server mechanism on this interface. enable - set by the user, means activate the ARP Server mechani… |
| 1.3.6.1.4.1.81.31.1.2.1.11 | ipInterfaceName | 0 | 0 | The name of this interface for compatibility with cli. |
| 1.3.6.1.4.1.81.31.1.2.1.12 | ipInterfaceNetbiosRebroadcast | 0 | 0 | inbound - netbios received from the interface are rebarodcasted, outbound - netbios are rebraodcasted to this interface, both - n… |
| 1.3.6.1.4.1.81.31.1.2.1.13 | ipInterfaceIcmpRedirects | 0 | 0 | enable - enable the sending of redirect messages if the router is forced to re-send a packet through the same interface on which… |
| 1.3.6.1.4.1.81.31.1.2.1.14 | ipInterfaceOperStatus | 0 | 0 | |
| 1.3.6.1.4.1.81.31.1.2.1.15 | ipInterfaceDhcpRelay | 0 | 0 | |
| 1.3.6.1.4.1.81.31.1.2.1.16 | ipInterfaceAddrType | 0 | 0 | |
| 1.3.6.1.4.1.81.31.1.2.1.17 | ipInterfaceAddrUnnumbered | 0 | 0 | |
| 1.3.6.1.4.1.81.31.1.2.1.18 | ipInterfaceUnnumberedLowerIfAlias | 0 | 0 | |
| 1.3.6.1.4.1.81.31.1.2.1.19 | ipInterfaceReasmMaxSize | 0 | 0 |